package produtos;


public interface RepositorioProdutos {

    public void inserir(Produto produto) throws RepositorioException;
        
    public void atualizar(Produto produto) throws ProdutoNaoEncontradoException, RepositorioException;
        
    public Produto procurar(int codigo) throws ProdutoNaoEncontradoException, RepositorioException;
    
    public void remover(int codigo) throws ProdutoNaoEncontradoException, RepositorioException;

    public boolean existe(int codigo) throws RepositorioException;
        
}
